<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


$promocion=$_GET['numero_promocion'];

$sede=$_GET['sede'];

$sqlx = "SELECT nombre_sede FROM sedes where codigo='$sede'";
$rsx = mysql_query($sqlx, $cn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$nombre_sede= $rowx['nombre_sede'];



// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(750,17,8,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
if($sede=='0'){
	$query = "Select
	egresados.cedula,
	egresados.apellidos,
	egresados.nombres,
	egresados.id_alumno,
	egresados.nom_carrera,
	titulos_alumno.titulo,
	titulos_alumno.institucion,
	titulos_alumno.nivel
	FROM (egresados INNER JOIN titulos_alumno ON egresados.id_alumno = titulos_alumno.id_alumno)
	where 
	promocion='$promocion' 
	order by
	egresados.nom_carrera,egresados.apellidos,egresados.nombres";
}
else{
    	$query = "Select
	egresados.cedula,
	egresados.apellidos,
	egresados.nombres,
	egresados.id_alumno,
	egresados.nom_carrera,
	titulos_alumno.titulo,
	titulos_alumno.institucion,
	titulos_alumno.nivel
	FROM (egresados INNER JOIN titulos_alumno ON egresados.id_alumno = titulos_alumno.id_alumno)
	where 
	promocion='$promocion' and titulos_alumno.nivel='PREGRADO' and sede='$sede'
	order by
	egresados.nom_carrera,egresados.apellidos,egresados.nombres";
}
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.




// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
//$pdf->ezsetdy(-5);
$pdf->ezText("                         UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'full'));

$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-12);
$pdf->ezText('<b>'."          TITULOS DE PREGRADO OBTENIDOS POR LOS EGRESADOS".'</b>',14,array('justification'=>'center'));
if($sede=='0'){
	$pdf->ezText('<b>'.utf8_decode("          ACTO DE GRADO ").utf8_decode($promocion).'</b>',12,array('justification'=>'center'));
}
else{
    $pdf->ezText('<b>'.utf8_decode("          ACTO DE GRADO ").utf8_decode($promocion).' - SEDE '.$nombre_sede.'</b>',12,array('justification'=>'center'));
}
$pdf->ezsetdy(-12);
$pdf->ezText("GRADUANDOS: ".$totalRows.'                                                                                                                                                                                                             '.utf8_decode("Fecha de Impresión: ").date("d/m/Y"),9 ,array('justification'=>'left'));

// Fin del Encabezado.
// Inicio del Pie de P�gina.

// Fin del Pie de P�gina.
pie_pagina($pdf);
// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4.9,1,2.6,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.', 
			  'cedula'=>utf8_decode('CÉDULA').'      ', 
              'apellidosynombres'=>'                 APELLIDOS Y NOMBRES',
			  'programa'=>utf8_decode('PROGRAMA'),
			  'titulo'=>utf8_decode('TITULO OBTENIDO'),
			  'institucion'=>'INSTITUCION',
			  'nivel'=>'NIVEL'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
	$id_alumno     = $row[3];    // cedula 
    $apeynom  = $row[1].', '.$row[2]; // apellidos y nombres
	$programa= substr($row[4],0,49);
    $titulo=$row[5];
	$institucion=$row[6];
	$nivel=$row[7];	
	
    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.' ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'programa'=>utf8_decode($programa),
					'titulo'=>utf8_decode($titulo),
					'institucion'=>utf8_decode($institucion),
					'nivel'=>utf8_decode($nivel)); 
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'750','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'programa'=>array('justification'=>'left')
			 ,'titulo'=>array('justification'=>'left')
			 ,'institucion'=>array('justification'=>'left')
			 ,'nivel'=>array('justification'=>'center')) 
));// salida 
pie_pagina($pdf);

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput();
 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode);
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 


   function pie_pagina($pdf)
{
    
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
}
    

?> 